Publications

List recent publications and draft status

GET
/api/projects/{projectId}/publications

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length

Query Parameters

tagIds?|array<>
cursor?string
Length1 <= length <= 1024
limit?integer
Range1 <= value <= 100
state?string
Value in"draft""scheduled"
sort?string
Value in"queue""updated_desc""updated_asc""created_desc""created_asc""scheduled_desc""scheduled_asc"
from?integer
Range0 <= value
to?integer
Range0 <= value

Response Body

Response for status 200

application/json
  1. response
publications*array<>
nextCursor*|null
summary*
Example Request
curl -X GET 'https://postbot.example/api/projects/string/publications'
Example Response
{
  "publications": [
    {
      "id": "string",
      "projectId": "string",
      "postId": "string",
      "channelId": "string",
      "targetRevisionId": "string",
      "deliveryMode": "manual",
      "reviewState": "compatible",
      "state": "draft",
      "scheduledAt": -9007199254740991,
      "publishedAt": -9007199254740991,
      "externalId": "string",
      "externalUrl": "string",
      "errorMessage": "string",
      "createdByActorId": "string",
      "scheduledByActorId": "string",
      "stateChangedByActorId": "string",
      "publishedByActorId": "string",
      "lastAssessedProfileVersionId": "string",
      "createdAt": -9007199254740991,
      "updatedAt": -9007199254740991,
      "profileAssessmentIssues": [
        {}
      ],
      "postTitle": "string",
      "sourceExcerpt": "string",
      "mediaAssetIds": [
        "string"
      ],
      "mediaCount": 0,
      "lastEditedAt": 0,
      "channelName": "string",
      "draftRevision": 1,
      "draftReviewState": "compatible",
      "draftDiffersFromTarget": true,
      "tagIds": [
        "string"
      ]
    }
  ],
  "nextCursor": "string",
  "summary": {
    "total": 0,
    "manual": 0,
    "automatic": 0,
    "scheduled": 0,
    "draft": 0
  }
}

Was this page helpful?